ApiImpalaQuery (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiImpalaQuery

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiImpalaQuery

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiImpalaQuery
      extends Object

  Represents an Impala Query.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiImpalaQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiImpalaQuery` | `attributes(Map<String,String> attributes)`
    `ApiImpalaQuery` | `coordinator(ApiHostRef coordinator)`
    `ApiImpalaQuery` | `database(String database)`
    `ApiImpalaQuery` | `detailsAvailable(Boolean detailsAvailable)`
    `ApiImpalaQuery` | `durationMillis(BigDecimal durationMillis)`
    `ApiImpalaQuery` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getAttributes()` A map of additional query attributes which is generated by Cloudera Manager.
    `ApiHostRef` | `getCoordinator()` The host of the Impala Daemon coordinating the query
    `String` | `getDatabase()` The database on which this query was issued.
    `Boolean` | `getDetailsAvailable()` Whether we have a detailed runtime profile available for the query.
    `BigDecimal` | `getDurationMillis()` The duration of the query in milliseconds.
    `String` | `getEndTime()` The time the query finished.
    `String` | `getQueryId()` The query id.
    `String` | `getQueryState()` The query state.
    `String` | `getQueryType()` The query type.
    `BigDecimal` | `getRowsProduced()` The number of rows produced by the query.
    `String` | `getStartTime()` The time the query was issued.
    `String` | `getStatement()` The SQL statement for the query.
    `String` | `getUser()` The user who issued this query.
    `int` | `hashCode()`
    `ApiImpalaQuery` | `putAttributesItem(String key, String attributesItem)`
    `ApiImpalaQuery` | `queryId(String queryId)`
    `ApiImpalaQuery` | `queryState(String queryState)`
    `ApiImpalaQuery` | `queryType(String queryType)`
    `ApiImpalaQuery` | `rowsProduced(BigDecimal rowsProduced)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setCoordinator(ApiHostRef coordinator)`
    `void` | `setDatabase(String database)`
    `void` | `setDetailsAvailable(Boolean detailsAvailable)`
    `void` | `setDurationMillis(BigDecimal durationMillis)`
    `void` | `setEndTime(String endTime)`
    `void` | `setQueryId(String queryId)`
    `void` | `setQueryState(String queryState)`
    `void` | `setQueryType(String queryType)`
    `void` | `setRowsProduced(BigDecimal rowsProduced)`
    `void` | `setStartTime(String startTime)`
    `void` | `setStatement(String statement)`
    `void` | `setUser(String user)`
    `ApiImpalaQuery` | `startTime(String startTime)`
    `ApiImpalaQuery` | `statement(String statement)`
    `String` | `toString()`
    `ApiImpalaQuery` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiImpalaQuery

          public ApiImpalaQuery()

  - ### Method Detail

    - #### queryId

          public ApiImpalaQuery queryId(String queryId)

    - #### getQueryId

          public String getQueryId()

      The query id.
      Returns:
        queryId

    - #### setQueryId

          public void setQueryId(String queryId)

    - #### statement

          public ApiImpalaQuery statement(String statement)

    - #### getStatement

          public String getStatement()

      The SQL statement for the query.
      Returns:
        statement

    - #### setStatement

          public void setStatement(String statement)

    - #### queryType

          public ApiImpalaQuery queryType(String queryType)

    - #### getQueryType

          public String getQueryType()

      The query type. The possible values are: DML, DDL, QUERY and UNKNOWN. See the Impala documentation for more details.
      Returns:
        queryType

    - #### setQueryType

          public void setQueryType(String queryType)

    - #### queryState

          public ApiImpalaQuery queryState(String queryState)

    - #### getQueryState

          public String getQueryState()

      The query state. The possible values are: CREATED, INITIALIZED, COMPILED, RUNNING, FINISHED, EXCEPTION, and UNKNOWN. See the Impala documentation for more details.
      Returns:
        queryState

    - #### setQueryState

          public void setQueryState(String queryState)

    - #### startTime

          public ApiImpalaQuery startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The time the query was issued.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiImpalaQuery endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The time the query finished. If the query hasn't finished then this will return null.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### rowsProduced

          public ApiImpalaQuery rowsProduced(BigDecimal rowsProduced)

    - #### getRowsProduced

          public BigDecimal getRowsProduced()

      The number of rows produced by the query. If the query hasn't completed this will return null.
      Returns:
        rowsProduced

    - #### setRowsProduced

          public void setRowsProduced(BigDecimal rowsProduced)

    - #### attributes

          public ApiImpalaQuery attributes(Map<String,String> attributes)

    - #### putAttributesItem

          public ApiImpalaQuery putAttributesItem(String key,
                                                  String attributesItem)

    - #### getAttributes

          public Map<String,String> getAttributes()

      A map of additional query attributes which is generated by Cloudera Manager.
      Returns:
        attributes

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### user

          public ApiImpalaQuery user(String user)

    - #### getUser

          public String getUser()

      The user who issued this query.
      Returns:
        user

    - #### setUser

          public void setUser(String user)

    - #### coordinator

          public ApiImpalaQuery coordinator(ApiHostRef coordinator)

    - #### getCoordinator

          public ApiHostRef getCoordinator()

      The host of the Impala Daemon coordinating the query
      Returns:
        coordinator

    - #### setCoordinator

          public void setCoordinator(ApiHostRef coordinator)

    - #### detailsAvailable

          public ApiImpalaQuery detailsAvailable(Boolean detailsAvailable)

    - #### getDetailsAvailable

          public Boolean getDetailsAvailable()

      Whether we have a detailed runtime profile available for the query. This profile is available at the endpoint /queries/{QUERY_ID}.
      Returns:
        detailsAvailable

    - #### setDetailsAvailable

          public void setDetailsAvailable(Boolean detailsAvailable)

    - #### database

          public ApiImpalaQuery database(String database)

    - #### getDatabase

          public String getDatabase()

      The database on which this query was issued.
      Returns:
        database

    - #### setDatabase

          public void setDatabase(String database)

    - #### durationMillis

          public ApiImpalaQuery durationMillis(BigDecimal durationMillis)

    - #### getDurationMillis

          public BigDecimal getDurationMillis()

      The duration of the query in milliseconds. If the query hasn't completed then this will return null.
      Returns:
        durationMillis

    - #### setDurationMillis

          public void setDurationMillis(BigDecimal durationMillis)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.